/*
  Warnings:

  - Added the required column `matrix_room_id` to the `DiscordMessages` table without a default value. This is not possible if the table is not empty.
  - Added the required column `matrix_room_id` to the `MatrixMessages` table without a default value. This is not possible if the table is not empty.

*/
-- RedefineTables
PRAGMA defer_foreign_keys=ON;
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_DiscordMessages" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "discord_id" TEXT NOT NULL,
    "discord_channel_id" TEXT NOT NULL,
    "discord_guild_id" TEXT NOT NULL,
    "attachment_id" TEXT,
    "matrix_event_id" TEXT NOT NULL,
    "matrix_room_id" TEXT NOT NULL
);
INSERT INTO "new_DiscordMessages" ("attachment_id", "discord_channel_id", "discord_guild_id", "discord_id", "id", "matrix_event_id") SELECT "attachment_id", "discord_channel_id", "discord_guild_id", "discord_id", "id", "matrix_event_id" FROM "DiscordMessages";
DROP TABLE "DiscordMessages";
ALTER TABLE "new_DiscordMessages" RENAME TO "DiscordMessages";
CREATE TABLE "new_MatrixMessages" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "matrix_event_id" TEXT NOT NULL,
    "matrix_room_id" TEXT NOT NULL,
    "discord_id" TEXT NOT NULL,
    "discord_channel_id" TEXT NOT NULL,
    "discord_guild_id" TEXT NOT NULL
);
INSERT INTO "new_MatrixMessages" ("discord_channel_id", "discord_guild_id", "discord_id", "id", "matrix_event_id") SELECT "discord_channel_id", "discord_guild_id", "discord_id", "id", "matrix_event_id" FROM "MatrixMessages";
DROP TABLE "MatrixMessages";
ALTER TABLE "new_MatrixMessages" RENAME TO "MatrixMessages";
PRAGMA foreign_keys=ON;
PRAGMA defer_foreign_keys=OFF;
