import "./types/env";

import "./webserver";
import { Discord } from "./discord";
import { Matrix } from "./lib/matrix";

Discord.login(process.env.DISCORD_TOKEN);

Matrix.for("_discord_bot").then(() => {
  console.log("_discord_bot registered");
});

Matrix.sendAlivePing().then((data) => {
  console.log("Alive ping result", data);
});
