/*
  Warnings:

  - The primary key for the `DiscordMessages` table will be changed. If it partially fails, the table could be left without primary key constraint.

*/
-- RedefineTables
PRAGMA defer_foreign_keys=ON;
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_DiscordMessages" (
    "discord_id" TEXT NOT NULL,
    "discord_channel_id" TEXT NOT NULL,
    "discord_guild_id" TEXT NOT NULL,
    "matrix_event_id" TEXT NOT NULL,

    PRIMARY KEY ("discord_id", "matrix_event_id")
);
INSERT INTO "new_DiscordMessages" ("discord_channel_id", "discord_guild_id", "discord_id", "matrix_event_id") SELECT "discord_channel_id", "discord_guild_id", "discord_id", "matrix_event_id" FROM "DiscordMessages";
DROP TABLE "DiscordMessages";
ALTER TABLE "new_DiscordMessages" RENAME TO "DiscordMessages";
PRAGMA foreign_keys=ON;
PRAGMA defer_foreign_keys=OFF;

-- CreateIndex
CREATE INDEX "MatrixMessages_matrix_event_id_discord_id_idx" ON "MatrixMessages"("matrix_event_id", "discord_id");
